<!--
Project: swinging
Copyright 2018 @swinging
-->
<div *ngIf="!emailSent">
  <form [formGroup]="form" (submit)="login()">
    <div>
      Connecte toi avec
    </div>
    <div class="row">
      <mat-form-field class="col-4">
        <input type="mail" matInput placeholder="ton email" formControlName="email" autocomplete="user-name" required />
        <mat-error *ngIf="form.controls['email'].invalid">L'adresse eamil est requise</mat-error>
      </mat-form-field>
    </div>
    <div class="row">
      <mat-form-field class="col-4">
        <input type="password" matInput placeholder="ton mot de passe" formControlName="password" autocomplete="off" required />
        <mat-error *ngIf="form.controls['password'].invalid">Le mot de passe est requis</mat-error>
      </mat-form-field>
    </div>
    <button mat-raised-button color="pimary" type="submit" [disabled]="form.invalid">Connexion</button>
  </form>
  <p class="text-danger">{{ loginError }}
    <a *ngIf="showPassworForgotten" (click)="sendRenewPassword()">Réinitialiser mom mot de passe</a>
  </p>
  <a routerLink="/login/register">ou enregistre toi</a>
</div>
<p>{{ emailSent }}</p>
